{% extends "base.html.twig" %}



{% block content %}
    <div class="containter mt-4">
    <div class="row justify-content-center">
    <div class="col-lg-9 col-12 card mb-4 pb-4">
        <div class="card-title mt-3">Filters</div>
        <div class="card-body p-0">
            <div>
                <label for="filter_category" class="form-label">Category</label>
                <select class="form-select" aria-label="Default select example" id="filter_category">
                    <option value="0">No category</option>
                    {% for key, category in products.categories.list %}
                        <option value="{{ category }}" {% if products.filter.category==category %} selected {% endif %}>{{ category }}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="mt-3">
                <label for="filter_min-weight" class="form-label">Min weight (gramms)</label>
                <input type="text" class="form-control" id="filter_min-weight" placeholder="0" value="{{ products.filter.minWeight }}">
            </div>
            <div class="mt-3">
                <label for="filter_max-weight" class="form-label">Max weight (gramms)</label>
                <input type="text" class="form-control" id="filter_max-weight" placeholder="1000" value="{{ products.filter.maxWeight }}">
            </div>
            <button type="submit" class="btn btn-primary mt-3" id="submitFilter">Submit</button>
        </div>
    </div>
    <div class="col-lg-9 col-12 card px-0">
        <div class="card-body">
            <div class="row">
                <div class="col">
                    <p>Products found: {{ products.total }}</p>
                    <button type="submit" class="btn btn-primary" id="submitImport">Import</button>
                </div>

            </div>
        </div>
    </div>
    <script>
        document.getElementById('submitFilter').onclick = function () {
            let url           = new URL(window.location.href)
            let search_params = url.searchParams;
            search_params.set('category', document.getElementById('filter_category').value);
            search_params.set('minWeight', document.getElementById('filter_min-weight').value);
            search_params.set('maxWeight', document.getElementById('filter_max-weight').value);
            search_params.set('page', '1');
            url.search      = search_params.toString();
            window.location = url.toString()
        };
        document.getElementById('submitImport').onclick = function () {
            window.location.pathname = '/import/products.xml';
        };
    </script>
{% endblock %}